
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "flower_a"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "flower-6"

	actor[cp_actor_type]			= cat_block + cat_explosion
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

	actor[cp_score]					= 4

	actor[cp_hit_power]				= -0.1
	actor[cp_material_hardness]		= 1

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "face", 7.0 )	

	c_set_random_anim( "sway", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "sway-mouth", 100.0, 100.0, 0.0, 0.0 )	
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )	

	c_add_particle_to_anim( "hit", "main", "flower-twinkle" )	
	c_add_sound_to_anim( "hit", "general_white_flower_hit", 1.0 )

	c_background_sound( "general_flower_random_squeak", 0.0, 9.0, 15.0, 1.0 )

